## visad.bom
Class FlexibleTrackManipulation

    java.lang.Object
      visad.bom.FlexibleTrackManipulation

public class FlexibleTrackManipulation
extends Object

FlexibleTrackManipulation is the VisAD class for manipulation of flexible storm tracks (not straight lines)

Nested Class Summary
`(package private) class` `FlexibleTrackManipulation.AnimationControlListener`
`(package private) class` `FlexibleTrackManipulation.DataMonitor` Class to keep cyclone data in sync with external changes to it
`(package private) class` `FlexibleTrackManipulation.FTMDirectManipulationRendererJ3D`
`(package private) class` `FlexibleTrackManipulation.ProjectionControlListener`
`(package private) class` `FlexibleTrackManipulation.TrackMonitor`

Constructor Summary
`FlexibleTrackManipulation(DataReferenceImpl tr, DisplayImplJ3D d, ScalarMap shape_map1, ScalarMap shape_map2, boolean need_monitor)` constructor Uses default size of 0.1 and default cyclone symbol geometry
`FlexibleTrackManipulation(DataReferenceImpl tr, DisplayImplJ3D d, ScalarMap shape_map1, ScalarMap shape_map2, boolean need_monitor, float size)` Constructor - Use default cyclone shape geometry
`FlexibleTrackManipulation(DataReferenceImpl tr, DisplayImplJ3D d, ScalarMap shape_map1, ScalarMap shape_map2, boolean need_monitor, float size, VisADGeometryArray[][] ga, float[] shapeColour)` Construct the FTM stuff

Method Summary
`void` `endManipulation()`
`DataRenderer[]` `getManipulationRenderers()` Get access to the renderers.
`static void` `main(String[] args)`
`static VisADGeometryArray[][]` `makeStormShapes(int nv, float size)` Create the geometry array which contains the shapes for the cyclone symbols.
`void` `release()`
`void` `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlexibleTrackManipulation

    public FlexibleTrackManipulation(DataReferenceImpl tr,
                                     DisplayImplJ3D d,
                                     ScalarMap shape_map1,
                                     ScalarMap shape_map2,
                                     boolean need_monitor)
                              throws VisADException,
                                     RemoteException

  constructor Uses default size of 0.1 and default cyclone symbol geometry

### FlexibleTrackManipulation

    public FlexibleTrackManipulation(DataReferenceImpl tr,
                                     DisplayImplJ3D d,
                                     ScalarMap shape_map1,
                                     ScalarMap shape_map2,
                                     boolean need_monitor,
                                     float size)
                              throws VisADException,
                                     RemoteException

  Constructor - Use default cyclone shape geometry

### FlexibleTrackManipulation

    public FlexibleTrackManipulation(DataReferenceImpl tr,
                                     DisplayImplJ3D d,
                                     ScalarMap shape_map1,
                                     ScalarMap shape_map2,
                                     boolean need_monitor,
                                     float size,
                                     VisADGeometryArray[][] ga,
                                     float[] shapeColour)
                              throws VisADException,
                                     RemoteException

  Construct the FTM stuff

Method Detail

### makeStormShapes

    public static VisADGeometryArray[][] makeStormShapes(int nv,
                                                         float size)
                                                  throws VisADException

  Create the geometry array which contains the shapes for the cyclone symbols.

  Throws:
    `VisADException`

### endManipulation

    public void endManipulation()
                         throws VisADException,
                                RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getManipulationRenderers

    public DataRenderer[] getManipulationRenderers()

  Get access to the renderers. Intended for the app to be able to toggle() this data display. abcd 27 April 2001

### release

    public void release()

### start

    public void start()

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  Throws:
    `VisADException`
    `RemoteException`